<div *ngIf="loading">
  <app-loader></app-loader>
</div>
<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card card-accent-success">
        <div class="card-header">
          <h4 class="card-title mb-0 font-weight-bold">DAFTAR SIMPANAN ANGGOTA {{name ? '( ' + name + ' )' : ''}}</h4>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-sm-9 form-inline">
              <label class="col-form-label mr-1">Menunjukkan </label>
              <select (change)="doGetListSimpanan()" class="form-control" [(ngModel)]="itemsPerPage">
                <option value="10">10</option>
                <option value="25">25</option>
                <option value="50">50</option>
                <option value="100">100</option>
              </select>
              <label class="ml-1"> Data</label>
            </div>
            <!--<div class="pull-right">-->
              <!--<button *ngIf="dataUser.role === 'ADM'" class="btn btn-success" data-toggle="modal" (click)="gotoNew(1);">-->
                <!--<i class="icon-plus"></i> Tambah Simpanan</button>-->
            <!--</div>-->
            <div class="col-sm-3" *ngIf="dataUser.role!=='AGT'">
              <button (click)="backClicked()" class="pull-right btn btn-success font-weight-bold btn-sm"><i class="fa fa-arrow-left"></i> Kembali</button>
            </div>
          </div><br>
          <div class="card card-accent-success">
            <div class="card-body">
              <div class="row">
                <div class="col-sm-3">
                  <label class="col-form-label">Tanggal Mulai</label>
                  <input class="form-control" (keyup.enter)="doGetListSimpanan()" id="tanggalMulai" type="text"  placeholder="Pilih Tanggal" onfocus="(this.type='date')" onblur="(this.type='text')"[(ngModel)]="tanggalMulai">
                </div>
                <div class="col-sm-3">
                  <label class="col-form-label">Tanggal Akhir</label>
                  <input class="form-control" (keyup.enter)="doGetListSimpanan()" id="tanggalAkhir" type="text"  placeholder="Pilih Tanggal" onfocus="(this.type='date')" onblur="(this.type='text')" [(ngModel)]="tanggalAkhir">
                </div>
                <div class="col-sm-2">
                  <label class="col-form-label">Jenis Simpanan</label>
                  <select class="form-control selectpicker" (keyup.enter)="doGetListSimpanan()" [(ngModel)]="jenisIuran">
                    <option value="" disabled>Pilih Jenis</option>
                    <option value="Setoran">Setoran</option>
                    <option value="Penarikan">Penarikan</option>
                  </select>
                </div>
                <div class="col-sm-3">
                  <label class="col-form-label">Bentuk Simpanan</label>
                  <select class="form-control selectpicker" (keyup.enter)="doGetListSimpanan()" [(ngModel)]="kodeSimpanan">
                    <option value="" disabled>Pilih Bentuk Simpanan</option>
                    <option value="SPP">Simpanan Pokok</option>
                    <option value="SPW">Simpanan Wajib</option>
                    <option value="SPS">Simpanan Sukarela</option>
                  </select>
                </div>
                <div class="col-sm-1 pl-0 pr-0" style="margin-top: 33px">
                  <button class="btn btn-success btn-block pull-right"  (click)="doGetListSimpanan()"><i class="fa fa-search"></i> Cari</button>
                </div>
                <!--<div class="col-sm-4">-->
                  <!--<label class="col-form-label">Perusahaan </label>-->
                  <!--<app-company-select [options]="listPerusahaan" (someChildEvent)="selectedPerusahaan=$event" (change)="doGetListSimpanan()"></app-company-select>-->
                <!--</div>-->
              </div>
              <!--<div class="row">-->
                <!--<div class="col-sm-12">-->
                <!--`<button class="btn btn-success pull-right"><i class="fa fa-search"></i> Cari</button>-->
                <!--</div>-->
                <!--<div class="col-sm-4">-->
                  <!--<label class="col-form-label">Jenis Simpanan</label>-->
                  <!--<select class="form-control selectpicker" [(ngModel)]="kodeSimpanan" (change)="doGetListSimpanan()">-->
                    <!--<option value="" disabled>Pilih Jenis Simpanan</option>-->
                    <!--<option value="SPP">Simpanan Pokok</option>-->
                    <!--<option value="SPW">Simpanan Wajib</option>-->
                    <!--<option value="SPS">Simpanan Sukarela</option>-->
                  <!--</select>-->
                <!--</div>-->
                <!--<div class="col-sm-4">-->
                  <!--<label class="col-form-label">Jenis Iuran</label>-->
                  <!--<select class="form-control selectpicker" [(ngModel)]="jenisIuran" (change)="doGetListSimpanan()">-->
                    <!--<option value="" disabled>Pilih Status</option>-->
                    <!--<option value="Setoran">Setoran</option>-->
                    <!--<option value="Penarikan">Penarikan</option>-->
                  <!--</select>-->
                <!--</div>-->
              <!--</div>-->
            </div>
          </div>
          <div class="card card-accent-success">
            <div class="card-body">
              <div class="row">
                <!--<div class="col-sm-4">-->
                  <!--<label class="col-form-label">Total Simpanan</label>-->
                  <!--<input type="text" class="form-control" value="{{!saldoSimpanan ? 0 : saldoSimpanan.totalSimpanan | number}}" readonly>-->
                <!--</div>-->
                <div class="col-sm-4">
                  <label class="col-form-label">Total Simpanan Pokok</label>
                  <input type="text" class="form-control" value="{{!saldoSimpanan ? 0 : saldoSimpanan.totalSimpananPokok | number}}" readonly>
                </div>
                <div class="col-sm-4">
                  <label class="col-form-label">Total Simpanan Wajib</label>
                  <input type="text" class="form-control" value="{{!saldoSimpanan ? 0 : saldoSimpanan.totalSimpananWajib | number}}" readonly>
                </div>
                <div class="col-sm-4">
                  <label class="col-form-label">Total Simpanan Sukarela</label>
                  <input type="text" class="form-control" value="{{!saldoSimpanan ? 0 : saldoSimpanan.totalSimpananSukarela | number}}" readonly>
                </div>
              </div>
            </div>
          </div>
          <!--<div *ngIf="listSimpanan | filter: filterText as list">-->
            <table class="table table-bordered table-striped table-sm table-responsive">
              <thead>
              <tr class="font-xs">
                <th class="text-center align-middle" style="width: 1%">#</th>
                <!--<th class="text-center">ID Ajuan</th>-->
                <th class="text-center align-middle" style="width: 7%" (click)="sort('tanggalSimpanan')">Tanggal
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'tanggalSimpanan',
                                    'fa-sort-asc': (column == 'tanggalSimpanan' && isDesc),
                                    'fa-sort-desc': (column == 'tanggalSimpanan' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 10%" (click)="sort('jenisIuran')">Jenis Simpanan
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'jenisIuran',
                                    'fa-sort-asc': (column == 'jenisIuran' && isDesc),
                                    'fa-sort-desc': (column == 'jenisIuran' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 15%" (click)="sort('namaSimpanan')">Bentuk Simpanan
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'namaSimpanan',
                                    'fa-sort-asc': (column == 'namaSimpanan' && isDesc),
                                    'fa-sort-desc': (column == 'namaSimpanan' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 10%" (click)="sort('keterangan')">Keterangan
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'keterangan',
                                    'fa-sort-asc': (column == 'keterangan' && isDesc),
                                    'fa-sort-desc': (column == 'keterangan' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 10%" (click)="sort('nominalSimpanan')">Nominal
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'nominalSimpanan',
                                    'fa-sort-asc': (column == 'nominalSimpanan' && isDesc),
                                    'fa-sort-desc': (column == 'nominalSimpanan' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 6%" >Saldo</th>
                <!--<th class="text-center align-middle" style="width: 9%" >Simpanan Pokok</th>-->
                <!--<th class="text-center align-middle" style="width: 9%" >Simpanan Wajib</th>-->
                <!--<th class="text-center align-middle" style="width: 9%" >Simpanan Sukarela</th>-->
                <th class="text-center align-middle" style="width: 4%" >Petugas</th>
              </tr>
              </thead>
              <tbody *ngIf="!listSimpanan || listSimpanan.length===0">
              <tr>
                <td colspan="11" class="text-center">Tidak Ada Data</td>
              </tr>
              </tbody>
              <tbody>
              <tr class="text-center font-xs" *ngFor="let data of listSimpanan | orderBy: {property: column, direction: direction}; let i=index;">
                <td>{{ (currentPage - 1) * itemsPerPage + (i + 1) }}</td>
                <!--<td>{{data.kodePengajuan}}</td>-->
                <td>{{data.tanggalSimpanan | date: 'dd MMM yyyy'}}</td>
                <td>{{ data.jenisIuran }}</td>
                <td>{{ data.namaSimpanan }}
                  <span *ngIf="data.bulan || data.tahun"> - {{data.bulan}} {{data.tahun}}</span>
                </td>
                <td>{{ data.keterangan}}</td>
                <td class="text-right pr-5">{{ data.nominalSimpanan | number}}</td>
                <td class="text-right pr-5">{{ data.saldoSimpanan | number}}</td>
                <!--<td class="text-right pr-5">{{ data.simpananPokok | number}}</td>-->
                <!--<td class="text-right pr-5">{{ data.simpananWajib | number}}</td>-->
                <!--<td class="text-right pr-5">{{ data.simpananSukarela | number}}</td>-->
                <td class="text-right pr-5">{{ !data.namaUser ? '' : data.namaUser | limitTo: 4}}</td>
              </tr>
              </tbody>
            </table>
            <!--<p class="text-muted font-italic pull-left">Menampilkan {{(currentPage - 1)*itemsPerPage + 1}} hingga {{currentPage*itemsPerPage}} dari {{totalItems}}</p>-->
            <div class="pull-right mt-auto">
              <pagination *ngIf="listSimpanan.length !== 0"  [totalItems]="totalItems" [maxSize]="5" [rotate]="true" [boundaryLinks]="true"
                          [(ngModel)]="currentPage" [itemsPerPage]="itemsPerPage" (pageChanged)="pageChanged($event)">
              </pagination>
            </div>
          <!--</div>-->
        </div>
      </div>
    </div>
  </div>
</div>


<div bsModal #confirmModal="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="confirmModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-success" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title"><i class="icon-pencil"></i> Konfirmasi membatalkan Simpanan</h4>
        <button type="button" class="close" (click)="addModal.hide()" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <h4>Apakah Anda yakin ingin membatalkan Simpanan ini?</h4>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" (click)="confirmModal.hide()">Tidak</button>
        <button type="button" class="btn btn-success" (click)="confirmModal.hide(); submit()">
          <i class="fa fa-save"></i> Ya</button>
      </div>
    </div>
  </div>
</div>

